| Home | Libraries | People | FAQ | More

## Function template erase_range

boost::algorithm::erase_range — Erase range algorithm.

## Synopsis

    template<typename SequenceT>
      void erase_range(SequenceT & Input,
                       const iterator_range< typename iterator_of< SequenceT >::type > & SearchRange);

## Description

Remove the given range from the input. The input sequence is modified in-place.

Parameters

Input

  An input sequence

SearchRange

  A range in the input to be removed

| Copyright © 2002-2004 Pavol Droba